
#include <oslib/oslib.h>


PSP_MODULE_INFO("Devslib Sample", 0, 1, 1);
PSP_MAIN_THREAD_ATTR(THREAD_ATTR_USER | THREAD_ATTR_VFPU);


//declaration
OSL_IMAGE *Fond;



int main(int argc, char* argv[])
{


	//Initialisation
	oslInit(0);							//la lib
	oslInitGfx(OSL_PF_8888, 1);			//Gfx
	oslInitAudio();						//Sound


	Fond = oslLoadImageFile("media/fond.png", OSL_IN_RAM, OSL_PF_5551);	

	while (!osl_quit)
	{
		//Debut du dessin
		oslStartDrawing();
		oslCls();


		//dessine l'image de fond
		oslDrawImage(Fond);
		//le synchronise pour afficher l'image
		oslSynchronization();
		//applique l'effet, il gardeen memoire l'etat actuel du rendu et applique l'effet souhaiter
		oslDrawCubeMaskEffect(30,30,RGB(0,0,0));

		//reset du rendu et on recommence
		oslCls();
		oslDrawImage(Fond);
		oslSynchronization();
		oslFadeInEffect();

		//Masquer en rectangle
		oslCls();
		oslDrawImage(Fond);
		oslSynchronization();
		oslDrawRectangleMaskEffect(RGB(0,0,0));


		oslSynchronization();

	}

	oslEndGfx();
	oslQuit();
	return 0;
}



